@mixin digi-navigation-pagination--variables() {
	--digi--navigation-pagination--button--padding: calc(#{var(--digi--gutter--small)} + 1px) var(--digi--gutter--largest-2);
	--digi--navigation-pagination--button--icon--width: var(--digi--gutter--medium);
	--digi--navigation-pagination--button--width: 8.750rem;
	--digi--navigation-pagination--button--margin: 0.125rem;
	--digi--navigation-pagination--button--display: flex;
	--digi--navigation-pagination--button--justify-content--default: center;
	--digi--navigation-pagination--button--keep-right--margin: 8.375rem;

	--digi--navigation-pagination--button--previous-button--border-radius: var(--digi--global--border-radius--base) 0 0 var(--digi--global--border-radius--base);
	--digi--navigation-pagination--button--next-button--border-radius: 0 var(--digi--global--border-radius--base) var(--digi--global--border-radius--base) 0;

	--digi--navigation-pagination--button--page-button--padding: calc(#{var(--digi--gutter--medium)} - 1px) calc(#{var(--digi--gutter--largest)} - 1px);
	--digi--navigation-pagination--button--page-button--padding--compressed: calc(#{var(--digi--gutter--medium)} - 1px) calc(#{var(--digi--gutter--medium)} - 1px);
	--digi--navigation-pagination--button--page-button--margin: 0 2px;
	--digi--navigation-pagination--button--page-button--width: 2.750rem; //44px
	--digi--navigation-pagination--button--page-button--height: 2.750rem; //44px
	// --digi--navigation-pagination--button--page-button--width--compressed: max-content;
	--digi--navigation-pagination--button--page-button--border-radius: 0;

	--digi--navigation-pagination--pages--margin: 0 0 var(--digi--global--spacing--smallest-4) 0; //4 eller 6px

	--digi--navigation-pagination--result--pages--margin: var(--digi--margin--smaller) 0 0 0;
	--digi--navigation-pagination--result--margin: 0;
	--digi--navigation-pagination--result--strong--font-weight: 600;
	--digi--navigation-pagination--result--text-align: center;

	--digi--navigation-pagination--page-list--padding: 0;
	--digi--navigation-pagination--page-list--margin: 0;
}

/** Do not touch! Autogenerated 
* @prop --digi--navigation-pagination--button--padding: calc(#{var(--digi--gutter--small)} + 1px) var(--digi--gutter--largest-2);
* @prop --digi--navigation-pagination--button--icon--width: var(--digi--gutter--medium);
* @prop --digi--navigation-pagination--button--width: 8.750rem;
* @prop --digi--navigation-pagination--button--margin: 0.125rem;
* @prop --digi--navigation-pagination--button--display: flex;
* @prop --digi--navigation-pagination--button--justify-content--default: center;
* @prop --digi--navigation-pagination--button--keep-right--margin: 8.375rem;
* @prop --digi--navigation-pagination--button--previous-button--border-radius: var(--digi--global--border-radius--base) 0 0 var(--digi--global--border-radius--base);
* @prop --digi--navigation-pagination--button--next-button--border-radius: 0 var(--digi--global--border-radius--base) var(--digi--global--border-radius--base) 0;
* @prop --digi--navigation-pagination--button--page-button--padding: calc(#{var(--digi--gutter--medium)} - 1px) calc(#{var(--digi--gutter--largest)} - 1px);
* @prop --digi--navigation-pagination--button--page-button--padding--compressed: calc(#{var(--digi--gutter--medium)} - 1px) calc(#{var(--digi--gutter--medium)} - 1px);
* @prop --digi--navigation-pagination--button--page-button--margin: 0 2px;
* @prop --digi--navigation-pagination--button--page-button--width: 2.750rem; //44px
* @prop --digi--navigation-pagination--button--page-button--height: 2.750rem; //44px
* @prop // --digi--navigation-pagination--button--page-button--width--compressed: max-content;
* @prop --digi--navigation-pagination--button--page-button--border-radius: 0;
* @prop --digi--navigation-pagination--pages--margin: 0 0 var(--digi--global--spacing--smallest-4) 0; //4 eller 6px
* @prop --digi--navigation-pagination--result--pages--margin: var(--digi--margin--smaller) 0 0 0;
* @prop --digi--navigation-pagination--result--margin: 0;
* @prop --digi--navigation-pagination--result--strong--font-weight: 600;
* @prop --digi--navigation-pagination--result--text-align: center;
* @prop --digi--navigation-pagination--page-list--padding: 0;
* @prop --digi--navigation-pagination--page-list--margin: 0;
*/